Application: gvSIG desktop - gvSIG bugs #1664
Memory leak loading raster layers in the layout
03/13/2013 04:40 PM - Ignacio Brodin

Status: Closed % Done: 0%
Priority: Normal Spent time: 0.00 hour
Assignee: Ignacio Brodin

Category: Document layout

Target version:

Severity: Add-on version:

gvSIG version: 2.0.0 Add-on build:

gvSIG build: Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto:

Has patch: No Hito:

Add-on name: Unknown

Description

Load a big raster layer in a view

Select A0 size in a new layout

Add the view to the layout

We can view that the memory spending increases. (A great amount of int arrays are loaded)
If we remove the view from the layot, this memory is not released

History

#1 - 03/14/2013 05:42 PM - Ignacio Brodin
- File org.gvsig.raster.patch added

It seems that there is memory without releases when gvSIG draws a raster layer. Moreover the layout does not releases memory. Arrays of integers

are keept in memory forever.

The first step is solved the raster problems. | attach the patch.

#2 - 03/21/2013 02:00 PM - Ignacio Brodin

gvsig-raster:ri674

#3 - 04/09/2013 11:50 AM - Juan Lucas Dominguez
- File org.gvsig.app.document.layout.app_patch.txt added

Fixed some memory leaks in the layout plugin (added patch "org.gvsig.app.document.layout.app_patch.txt", must be applied to workspace, not to a
project)

#4 - 04/29/2013 08:05 AM - Ignacio Brodin
- Status changed from New to Fixed

#5 - 02/26/2014 12:41 PM - Alvaro Anguix
- Status changed from Fixed to Closed

Files
org.gvsig.raster.patch 12.1 KB 03/14/2013 Ignacio Brodin
org.gvsig.app.document.layout.app_patch.ixt 4.64 KB 04/09/2013 Juan Lucas Dominguez
